package com.sunxung.factoring.entity.financing.review;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.BaseEntity;
import org.hibernate.validator.constraints.Length;

import java.util.List;

/**
 * @className:ReviewTransferReceivable
 * @description:额度支用：应收账款转让
 * @author:杜小姣
 * @e-mail:1261237207@qq.com
 * @date:2018年8月12日 下午7:45:15
 */
public class ReviewTransferReceivable extends BaseEntity {

    /**
     * 对应额度支用信息Id
     **/
    private Long reviewQuotaDisburseId;

    @Length(max = 50, message = "确认书编号最多不能超过50个字符")
    private String confirmationNo;
    @Length(max = 50, message = "通知书编号最多不能超过50个字符")
    private String noticeNo;
    @Length(max = 50, message = "转让方最多不能超过50个字符")
    private String transferor;

    @Length(max = 50, message = "受让方不能超过50个字符")
    private String transferee;
    /**
     * 是否确认:0否，1是
     **/
    @TableField("is_confirm")
    private boolean confirm;

    /**
     * 确认方式(前端显示)
     */
    @TableField(exist = false)
    private List<String> confirmMethodList;

    /**
     * 确认方式（回执确认-receiptConfirm、三方协议确认-tripartiteAgreementConfirm、其他-otherConfirm）
     */
    private String confirmMethod;

    public String getConfirmationNo() {
        return confirmationNo;
    }

    public void setConfirmationNo(String confirmationNo) {
        this.confirmationNo = confirmationNo;
    }

    public String getNoticeNo() {
        return noticeNo;
    }

    public void setNoticeNo(String noticeNo) {
        this.noticeNo = noticeNo;
    }

    public String getTransferor() {
        return transferor;
    }

    public void setTransferor(String transferor) {
        this.transferor = transferor;
    }

    public String getTransferee() {
        return transferee;
    }

    public void setTransferee(String transferee) {
        this.transferee = transferee;
    }

    public boolean getConfirm() {
        return confirm;
    }

    public void setConfirm(boolean confirm) {
        this.confirm = confirm;
    }

    public String getConfirmMethod() {
        return confirmMethod;
    }

    public void setConfirmMethod(String confirmMethod) {
        this.confirmMethod = confirmMethod;
    }

    public Long getReviewQuotaDisburseId() {
        return reviewQuotaDisburseId;
    }

    public void setReviewQuotaDisburseId(Long reviewQuotaDisburseId) {
        this.reviewQuotaDisburseId = reviewQuotaDisburseId;
    }

    public List<String> getConfirmMethodList() {
        return confirmMethodList;
    }

    public void setConfirmMethodList(List<String> confirmMethodList) {
        this.confirmMethodList = confirmMethodList;
    }
}
